color highlighter在sublime Text3中无法使用 5C

我的sublime text版本是3143,
安装color highlighter怎么配置都没有办法显示代码颜色,color highlighter版本是8.09,
下面是打开Preference –> Package Settings –> Color Highlighter –> Settings User的配置信息,
即使我所有都开成true,依然在css中不能高亮颜色。
{
"experimental":
{
"asynchronosly_update_color_scheme": true
},
"search_colors_in":
{
"all_content":
{
"color_highlighters":
{
"color_scheme":
{
"enabled": true,
"highlight_style": "filled"
},
"gutter_icons":
{
"enabled": true,
"icon_style": "circle"
},
"phantoms":
{
"enabled": true,
"length": 2,
"style": "right"
}
},
"enabled": true
},
"hover":
{
"color_highlighters":
{
"color_scheme":
{
"enabled": true,
"highlight_style": "filled"
},
"gutter_icons":
{
"enabled": true,
"icon_style": "circle"
},
"phantoms":
{
"enabled": true,
"length": 2,
"style": "right"
}
},
"enabled": true
},
"selection":
{
"color_highlighters":
{
"color_scheme":
{
"enabled": true,
"highlight_style": "filled"
},
"gutter_icons":
{
"enabled": true,
"icon_style": "circle"
},
"phantoms":
{
"enabled": true,
"length": 2,
"style": "right"
}
},
"enabled": true
}
}
}

1个回答

我也遇到同样问题。启动加载插件会报错,在控制台可以看见:
Output:

Error:
'utf-8' codec can't decode byte 0xce in position 0: invalid continuation byte
Highlighting colors with gutter icons is not supported with current ImageMagick setup. Try configuring the "icon_factory setting"
Traceback (most recent call last):
File "F:\Linux\Sublime Text Build 3176 x64\sublime_plugin.py", line 298, in on_api_ready
plc()
File "F:\Linux\Sublime Text Build 3176 x64\Data\Installed Packages\Color Highlighter.sublime-package\main.py", line 606, in plugin_loaded
ColorHighlighterPlugin.init()
File "F:\Linux\Sublime Text Build 3176 x64\Data\Installed Packages\Color Highlighter.sublime-package\main.py", line 319, in init
ColorHighlighterPlugin._fake_color_scheme = ColorHighlighterPlugin.components.provide_fake_color_scheme()
File "F:\Linux\Sublime Text Build 3176 x64\Data\Installed Packages\Color Highlighter.sublime-package\main.py", line 197, in provide_fake_color_scheme
return self.provide_fake_color_scheme_data()[0]
File "F:\Linux\Sublime Text Build 3176 x64\Data\Installed Packages\Color Highlighter.sublime-package\main.py", line 188, in provide_fake_color_scheme_data
self._fake_color_scheme_data = parse_color_scheme(self.provide_color_scheme(), self._settings.debug)
File "F:\Linux\Sublime Text Build 3176 x64\Data\Installed Packages\Color Highlighter.sublime-package\color_scheme.py", line 43, in parse_color_scheme
color_scheme_xml = ElementTree.fromstring(color_scheme_content)
File "./python3.3/xml/etree/ElementTree.py", line 1356, in XML
File "", line None
xml.etree.ElementTree.ParseError: not well-formed (invalid token): line 1, column 0
Package Control: Skipping automatic upgrade, last run at 2019-04-28 12:30:23, next run at 2019-04-28 13:30:23 or after
Detected ASCII vs Undefined with 100% confidence
Detected ASCII vs Undefined with 100% confidence
reloading settings Packages/User/Preferences.sublime-settings

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问
相关内容推荐